lds.ui.aboutView = {};
(function() {
	var isShowing = false;
	var win,v,mask;

	lds.ui.aboutView.showhide = function(w) {
		win = w;
		if(null === win) {
			alert('win is null');
		}
		
		var isAndroid = Ti.Platform.osname === 'android';
		
		if(!isShowing) {
			Titanium.API.info('Showing about page');
			mask = Ti.UI.createView({
				width:Titanium.Platform.displayCaps.platformWidth,
				height:Titanium.Platform.displayCaps.platformHeight,
				backgroundColor:'#000',
				opacity: isAndroid ? 0.0 : 0.5
			});
			mask.addEventListener('click', function() {
				if (isAndroid) {
					isShowing = false;
					win.close();
				} else {
					lds.ui.aboutView.showhide(win);
				}
			});
			var t = Titanium.UI.create2DMatrix();
			t = t.scale(0);

			v = Titanium.UI.createView({
				backgroundColor:'#282828',
				borderWidth:2,
				borderColor:'#999',
				height:'90%',
				width:'85%',
				borderRadius:10,
				opacity:0.92,
				//				orientationModes: [Titanium.UI.PORTRAIT],
				transform:t
			});

			// create first transform to go beyond normal size
			var t1 = Titanium.UI.create2DMatrix();
			t1 = t1.scale(1.1);
			var a = Titanium.UI.createAnimation();
			a.transform = t1;
			a.duration = 200;

			// when this animation completes, scale to normal size
			a.addEventListener('complete', function() {
				Titanium.API.info('here in complete');
				var t2 = Titanium.UI.create2DMatrix();
				t2 = t2.scale(1.0);
				v.animate({transform:t2, duration:200});
			});
			var webview = Ti.UI.createWebView({
				url:'html/about.html',
				backgroundColor:'#282828'
			});
			

			webview.addEventListener('load', function() {
				Ti.App.fireEvent('loadXml',
				{
					'deviceName': isAndroid ? 'Android' : 'iPhone &amp; iPod Touch',
					'email': isAndroid ? 'ldsyouth-android@ldsmail.net' : 'ldsyouth-ios@ldschurch.org'
				});
			});			
			v.add(webview);
			
			win.add(mask);
			win.add(v);
			v.animate(a);
			if (!isAndroid) {
				isShowing = true;				
			}
			/*			webview.addEventListener('click', function()
			{
			var t3 = Titanium.UI.create2DMatrix();
			t3 = t3.scale(0);

			//				win.close({transform:t3,duration:300});
			//				Ti.App.fireEvent('close_about');
			});	*/
			//			w.open(a);
		} else {
			Titanium.API.info('Hiding about page');
			var t3 = Titanium.UI.create2DMatrix();
			t3 = t3.scale(0);
			var a = Titanium.UI.createAnimation();
			a.transform = t3;
			a.duration = 200;
			a.addEventListener('complete', function() {
				win.remove(v);
				win.remove(mask);
				v=null;
				win = null;
				mask = null;
				isShowing = false;
			});
			v.animate(a);
		}
	};
})();
