Titanium.UI.iPhone.statusBarStyle = Titanium.UI.iPhone.StatusBar.OPAQUE_BLACK;
Titanium.UI.setBackgroundColor('#000');

Ti.App.addEventListener('pause', function() {
	if(audioController.PLAYING == audioController.state()) {
		audioController.pause();
		audioController.stop();
	}
	Ti.API.info('pause');
});
Ti.App.addEventListener('resume', function() {
	Ti.API.info('resumed');
	downLoadMgr.checkForNewContent( function(e) {
		if(e) {
			lds.ui.mainView.showRefresh();
		}
	});
});
Ti.App.addEventListener('close', function() {
	Ti.API.info('close');
});
var lds = {};
(function() {
	lds.app = {
		startingUp : true,
		contentIsLoaded : false,
		sinceUtc : null,

	};
	
	lds.timeIt = function(msg, func) {
		var start = new Date();
		func();
		var end = new Date();
		var time = (end - start);
		var log = '';
		if (msg) {
			log = msg + ' ';
		}
		log += 'took ' + time + 'ms';
		Ti.API.info(log);
	};
	
	var counts = null;
	Ti.App.addEventListener('UseCounter', function(event) {

	});
	Ti.App.addEventListener('error_downloading', function() {
		if(lds.app.startingUp) {
			//openMainWindow();
			lds.app.startingUp = false;
		}
		if(!lds.app.contentIsLoaded) {
			Ti.API.info('need to load after download error');
			mainViewLoad.loadContentIntoUI();
		}
	});
	Ti.App.addEventListener('download_done', function() {
		Ti.API.info('download done');
		if (lds.app.sinceUtc) {
			Ti.App.Properties.setString('sinceUtc',lds.app.sinceUtc);		
		}
		if(lds.app.startingUp) {
			//openMainWindow();
			lds.app.startingUp = false;
			mainViewLoad.loadContentIntoUI();
		} else {
			mainViewLoad.clearUIRibbons();
		}
	});
	lds.app.refreshRequested = function() {
		Ti.API.info('refresh requested');
		downLoadMgr.downloadContent();
	};
})();
function openMainWindow () {
	var win = lds.ui.mainView.createWin();

	if (Ti.Platform.osname == 'android') {
		win.open();
	} else {
		var tabGroup = Ti.UI.createTabGroup();
		var tab = Ti.UI.createTab({
			window:win
		});
		tabGroup.addTab(tab);
		tabGroup.open();		
	}
}

Ti.include(
'io.js',
'ui.js',
'downloadcontent.js',
'audioController.js'
);

openMainWindow();
downLoadMgr.downloadContent();



