lds.ui.pleaseWait = {};
(function() {
	var isShowing = false;
	var height = Titanium.Platform.displayCaps.platformHeight;
	var width = Titanium.Platform.displayCaps.platformWidth;
	var win, progressBar;

	lds.ui.pleaseWait.setProg = function(val1,val2) {
		if(val1 !== 0 && isShowing) {
			var per = (val2 / val1) * 10;
			progressBar.value = per;
		}
	};
	lds.ui.pleaseWait.show = function(msg) {
		
		win = Titanium.UI.createWindow({
			title:'LDS Youth',
			backgroundColor:'#000',
			orientationModes: [Ti.UI.PORTRAIT]
		});
			
		var view = Ti.UI.createView({
			layout:'absolute',
			top:0,
			backgroundColor:'#000'
		});
			
		var pleaseWaitImage = Titanium.UI.createImageView({
			image:'images/pleasewait.png',
			width:'auto',
			height:'auto',
			preventDefaultImage:true
		});
		view.add(pleaseWaitImage);
		
		win.add(view);
		progressBar = Titanium.UI.createProgressBar({
			width:300,
			min:0,
			max:10,
			value:0,
			height:35,
			color:'#888',
			message:msg,
			font:{fontSize:14, fontWeight:'bold'},
			bottom:10
		});
		view.add(progressBar);

		win.open();
		progressBar.show();
		isShowing = true;
	};
	lds.ui.pleaseWait.hide = function() {
		Ti.API.info('Hiding please wait');
		win.close();
		isShowing = false;
	};
})();

