/*
 function getOrientation(o) {
 switch (o) {
 case Titanium.UI.PORTRAIT:
 return 'portrait';
 case Titanium.UI.UPSIDE_PORTRAIT:
 return 'portrait';
 case Titanium.UI.LANDSCAPE_LEFT:
 return 'landscape';
 case Titanium.UI.LANDSCAPE_RIGHT:
 return 'landscape';
 }
 }

 Titanium.Gesture.addEventListener('orientationchange', function(e) {
 if(g_win !== null) {
 var orientation = getOrientation(e.orientation);
 if (orientation == 'portrait') {
 g_web.width = 320;
 alert('portrait');
 } else {
 g_web.width = 480;
 alert('land');
 }
 }
 });
 var g_win=null;
 var g_web=null;*/
lds.ui.articleView = {};
(function() {
	lds.ui.articleView.show = function(id) {
		if(!g_processingClick) {
			g_processingClick = true;
			var win = Ti.UI.createWindow({
				backgroundColor:'#282828',
				barColor:'#000',
				fullscreen: false,
				orientationModes : [ Titanium.UI.PORTRAIT,Titanium.UI.LANDSCAPE_LEFT,Titanium.UI.LANDSCAPE_RIGHT ]
				//				url:'article.js'
			});
			
			win.addEventListener('android:back',function(){

//				win.orientationModes = [ Titanium.UI.PORTRAIT ];
				win.close();
				g_processingClick = false;

				return false;
			});
			
			var isAndroid = Ti.Platform.name === 'android';
			var webview = Ti.UI.createWebView({
				top: 0,
				url:'html/article.html',
				backgroundColor:'#282828'
			});
			win.add(webview);
			
			if (Titanium.Platform.name !== 'android') {
				
				var closeBtn = Ti.UI.createButton({
					title:'Back'
				});
				closeBtn.addEventListener('click', function(e) {
					win.orientationModes = [ Titanium.UI.PORTRAIT ];
					win.close();
					g_processingClick = false;
				});
				var shareBtn = Ti.UI.createButton({
					image:'images/share.png'
				});
				shareBtn.addEventListener('click', function(e) {
					lds.ui.shareView.showhide(win,closeBtn,shareBtn,art);
				});
				
				win.leftNavButton = closeBtn;
				win.rightNavButton = shareBtn;
			}
			var art = lds.io.loadAssetFile(id);
			var imgPath = lds.io.getPathForFile(art.LargeImageUri,id);

			if (downLoadMgr.mType.VIDEO_TYPE === art.ResourceType) {
				win.title = 'Video';
			} else if (downLoadMgr.mType.ARTICLE_TYPE === art.ResourceType) {
				win.title = 'Article';
			} else {
				win.title = 'Feature';
			}

			var artPath = lds.io.getPathForContentFolder(id);
			if( "" === imgPath ) {
				imgPath = 'images/large-placeholder.png';
			}
			var bylines = "";

			for (var i=0;i < art.Bylines.length;i++) {
				if(0<i) {
					bylines += '<BR>';
				}
				bylines += art.Bylines[i];
			};

			webview.addEventListener('load', function() {
				var analy = 'Read Article';
				var url = art.VideoUri;
				if(url) {
					url += ( -1 < url.indexOf('?') ) ? '&cid=' : '?cid=';
					url += Titanium.Platform.osname;
					analy = 'Watch Video';
				}
				Titanium.Analytics.featureEvent(analy,{id:art.ResourceId, IsFeatured:art.IsFeatured});
				Ti.App.fireEvent('loadXml',
				{
					'xml': art.Content.replace(/\[teaser:\d+-eng\]/gi, ''),
					'poster': imgPath,
					'title': art.Title,
					'original':art.ArticleUri,
					'byline':bylines,
					'video': url,
					'haveConnection':Titanium.Network.online
				}
				);
				Ti.API.info("XML Load event");
				Ti.API.info('videoUrl :' + url);
			});

			Ti.App.addEventListener('playingVideo', function() {
				audioController.stop();
			});

			win.open({modal:true});
			if (false === Titanium.Network.online && "" !== art.VideoUri) {
				Titanium.UI.createAlertDialog({
					title:'Internet Connection',
					message: 'Watching videos requires a connection to the Internet.',
					buttonNames: ['OK']
				}).show();
			}
			
			if (isAndroid) {
				lds.ui.shareView.addAndroidMenu(id);
			}			
		}
	};
})();
//articleWin.show(win.id);

